Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041076
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2019-06-12 10:262020-05-05 10:19
ReporterngarciaView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisiona82f9a0e813e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041076: With Lazy Filtering Date filters are not applied after the value is formatted, you should change to another field

DescriptionWith Lazy Filtering Date filters are not applied after the value is formatted, you should change to another field
Steps To ReproduceIn https://livebuilds.openbravo.com/retail_pi_pgsql/ [^] as The White Valley Group Admin:
   Open Terminal Log window
   Add 'VBS-1' in Device Identifier filter
   Click Enter
   Add '11062019' in the Date filter
   Click Enter
   Check the date is formatted to '11-06-2019' but the filter is not applied
   Check the black check is not shown on the right side
   Change to another filter with tab
   Click Enter and check the filter is applied at this moment (the black check was shown in this case)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0043929 newplatform Date Filter Improvements 
related to defect 0043930 newplatform Sorter icon is wrongly enabled under some circumstances 
causes defect 0043917 closedcberner Filtering in the grid is not working properly using the keybord 

-  Notes
(0112808)
hgbot (developer)
2019-06-17 11:16

Repository: erp/devel/pi
Changeset: a82f9a0e813ee34184461ffa7600135765d85208
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jun 17 10:21:54 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a82f9a0e813ee34184461ffa7600135765d85208 [^]

fixes bug 41076: Date filter behavior on enter key press with lazy filtering

  Takes into lazy filtering when pressing the enter key. Now if lazy filtering is enabled and we press enter on a date filter:

  1- If it is detected that the filter has changed (using the new "previousLazyFilterValue" flag), then the grid is prepared to be filtered when pressing enter again or clicking on the funnel icon.
  2- If the filter has not changed, then we let the grid decide if it should perform the filtering or not.
  3- If the filter has not changed, it is empty and we have already applied the filtering, then the date range dialog is shown.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0112838)
hudsonbot (developer)
2019-06-17 19:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2ad95dac1570 [^]
Maturity status: Test
(0112966)
hgbot (developer)
2019-06-24 10:51

Repository: erp/devel/pi
Changeset: 528ceb0d7d4c84209ab76385c2f861c9ef33e984
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jun 24 10:46:01 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/528ceb0d7d4c84209ab76385c2f861c9ef33e984 [^]

related to issue 41076: clear new flag when exiting the date filter

  The "previousLazyFilterValue" flag should be cleared when exiting the date filter. Otherwise, the last filtered value is preserved and this caused the sorter not being properly enabled when returning to the filter and entering exactly the very same date entered on the previous filtering.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0113012)
hgbot (developer)
2019-06-25 19:41

Repository: erp/devel/pi
Changeset: d5d51bdd2bc4c3dff88893443465bb32cc5d4a8e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jun 25 19:40:12 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d5d51bdd2bc4c3dff88893443465bb32cc5d4a8e [^]

related to bug 41076: handle case of pressing enter without edits on the filter

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0113013)
AugustoMauch (developer)
2019-06-25 19:41

Code reviewed and verified
(0113016)
hudsonbot (developer)
2019-06-26 04:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0c724fa9726e [^]
Maturity status: Test
(0113020)
hudsonbot (developer)
2019-06-26 04:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0c724fa9726e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-12 10:26 ngarcia New Issue
2019-06-12 10:26 ngarcia Assigned To => platform
2019-06-12 10:26 ngarcia Modules => Core
2019-06-12 10:26 ngarcia Triggers an Emergency Pack => No
2019-06-12 10:26 ngarcia Issue Monitored: networkb
2019-06-13 19:25 caristu Assigned To platform => caristu
2019-06-13 19:25 caristu Status new => scheduled
2019-06-17 11:16 hgbot Checkin
2019-06-17 11:16 hgbot Note Added: 0112808
2019-06-17 11:16 hgbot Status scheduled => resolved
2019-06-17 11:16 hgbot Resolution open => fixed
2019-06-17 11:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a82f9a0e813ee34184461ffa7600135765d85208 [^]
2019-06-17 11:27 caristu Review Assigned To => AugustoMauch
2019-06-17 19:39 hudsonbot Checkin
2019-06-17 19:39 hudsonbot Note Added: 0112838
2019-06-24 10:51 hgbot Checkin
2019-06-24 10:51 hgbot Note Added: 0112966
2019-06-25 19:41 hgbot Checkin
2019-06-25 19:41 hgbot Note Added: 0113012
2019-06-25 19:41 AugustoMauch Note Added: 0113013
2019-06-25 19:41 AugustoMauch Status resolved => closed
2019-06-25 19:41 AugustoMauch Fixed in Version => 3.0PR19Q3
2019-06-26 04:55 hudsonbot Checkin
2019-06-26 04:55 hudsonbot Note Added: 0113016
2019-06-26 04:55 hudsonbot Checkin
2019-06-26 04:55 hudsonbot Note Added: 0113020
2020-05-04 13:02 alostale Relationship added causes 0043917
2020-05-05 10:14 caristu Relationship added related to 0043929
2020-05-05 10:19 caristu Relationship added related to 0043930


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker